Skip to main content
GET
/
api
/
climate
/
v1
/
list-climate-disasters
ListClimateDisasters
curl --request GET \
  --url https://api.example.com/api/climate/v1/list-climate-disasters
{
  "disasters": [
    {
      "id": "<string>",
      "type": "<string>",
      "name": "<string>",
      "country": "<string>",
      "countryCode": "<string>",
      "lat": 123,
      "lng": 123,
      "severity": "<string>",
      "startedAt": 123,
      "status": "<string>",
      "affectedPopulation": 123,
      "source": "<string>",
      "sourceUrl": "<string>"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "totalCount": 123
  }
}

Query Parameters

page_size
integer<int32>

Maximum items per page (1-100).

cursor
string

Cursor for next page.

Response

Successful response

ListClimateDisastersResponse contains climate disaster events.

disasters
object[]
pagination
object

PaginationResponse contains pagination metadata returned alongside list results.